
---------- CREATING SEQUENCE FOR AUTO-GENERATED PRIMARY KEYS -----


CREATE SEQUENCE SQ_CUSTOMER_PK
START WITH 1
INCREMENT BY 1;


CREATE SEQUENCE SQ_ACCOUNT_NUMBER
START WITH 298178
INCREMENT BY 15;



CREATE SEQUENCE SQ_MONEY_TRANSACTION_PK
START WITH 1
INCREMENT BY 1;


------------- DROP SEQUENCE ----------------------



--DROP SEQUENCE SQ_ACCOUNT_NUMBER;

--DROP SEQUENCE SQ_MONEY_TRANSACTION_PK;

------------- TRIGGER -----------------------------------

CREATE OR REPLACE TRIGGER TR_INSERT_CUSTOMER_PK
BEFORE INSERT ON CUSTOMER
FOR EACH ROW 
BEGIN 
	SELECT SQ_CUSTOMER_PK.NEXTVAL INTO :NEW.CUSTOMER_ID FROM DUAL;
END;
/




CREATE OR REPLACE TRIGGER TR_INSERT_ACCOUNT_NUMBER
BEFORE INSERT ON ACCOUNT
FOR EACH ROW 
BEGIN 
	SELECT SQ_ACCOUNT_NUMBER.NEXTVAL INTO :NEW.ACCOUNT_NUMBER FROM DUAL;
END;
/

CREATE OR REPLACE TRIGGER TR_INSERT_MONEY_TRANSACTION_PK
BEFORE INSERT ON MONEY_TRANSACTION
FOR EACH ROW 
BEGIN 
	SELECT SQ_MONEY_TRANSACTION_PK.NEXTVAL INTO :NEW.TRANSACTION_ID FROM DUAL;
END;
/
-------------------------------------------------------------------
